Passer au contenu principal
POST
/
kimi
/
chat
/
completions
Kimi Chat Completions
curl --request POST \
  --url https://api.acedata.cloud/kimi/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "kimi-k2.5",
  "messages": [
    {
      "role": "user",
      "content": "<string>"
    }
  ],
  "n": 1,
  "stream": false,
  "max_tokens": 123,
  "temperature": 1,
  "response_format": {
    "type": "json_object"
  }
}
'
{
  "id": "<string>",
  "model": "<string>",
  "object": "chat.completion",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "assistant",
        "content": "<string>"
      },
      "finish_reason": "stop"
    }
  ],
  "created": 123,
  "system_fingerprint": "<string>"
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Specifies the format of the response from the server.

Options disponibles:
application/json

Corps

application/json
model
enum<string>
requis

ID of the model to use.

Options disponibles:
kimi-k2-thinking-turbo,
kimi-k2.5,
kimi-k2-thinking,
kimi-k2-instruct-0905,
kimi-k2-0905-preview,
kimi-k2-turbo-preview,
kimi-k2-0711-preview
Exemple:

"kimi-k2.5"

messages
object[]
requis

A list of messages comprising the conversation so far.

Minimum array length: 1
n
number | null
défaut:1

How many chat completion choices to generate for each input message.

Plage requise: 1 <= x <= 128
Exemple:

1

stream
boolean | null
défaut:false

If set, partial message deltas will be sent, like in ChatGPT.

max_tokens
number | null

The maximum number of tokens that can be generated in the chat completion.

temperature
number | null
défaut:1

What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.

Plage requise: 0 <= x <= 2
Exemple:

1

response_format
object

An object specifying the format that the model must output. If not specified, the model will output text.

Réponse

OK, the request was successful.

Represents a chat completion response returned by model, based on the provided input.

id
string
requis

A unique identifier for the chat completion.

model
string
requis

The model used for the chat completion.

object
enum<string>
requis

The object type, which is always chat.completion.

Options disponibles:
chat.completion
choices
object[]
requis

A list of chat completion choices. Can be more than one if n is greater than 1.

created
number
requis

The Unix timestamp (in seconds) of when the chat completion was created.

system_fingerprint
string

This fingerprint represents the backend configuration that the model runs with.

Can be used in conjunction with the seed request parameter to understand when backend changes have been made that might impact determinism.